Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(572)

Issue 2847073002: Use emplace_back when adding an item to WebSocket stalled requests (Closed)

Created:
7 months, 3 weeks ago by Adam Rice
Modified:
6 months, 3 weeks ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use emplace_back when adding an item to WebSocket stalled requests This is a tiny readability improvement, and removes an old TODO. By using emplace_back() when adding an item to stalled_request_queue_ in net::WebSocketTransportClientSocketPool we remove an unnecessary local variable declaration. There's probably a minor performance improvement too. BUG= Review-Url: https://codereview.chromium.org/2847073002 Cr-Commit-Position: refs/heads/master@{#473521} Committed: https://chromium.googlesource.com/chromium/src/+/00bd27b320be81e0cb51d5c9a017d97449c5a5fa

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -4 lines) Patch
M net/socket/websocket_transport_client_socket_pool.cc View 1 chunk +2 lines, -4 lines 0 comments Download
Trybot results:  linux_android_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   mac_chromium_rel_ng   linux_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_asan_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   android_cronet   android_compile_dbg   android_n5x_swarming_rel   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-device-xcode-clang   ios-simulator   ios-simulator-xcode-clang   linux_chromium_rel_ng   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_compile_dbg   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_clang_dbg_recipe 

Messages

Total messages: 16 (10 generated)
Adam Rice
Very low priority.
7 months, 3 weeks ago (2017-04-28 11:53:58 UTC) #4
tyoshino (SeeGerritForStatus)
lgtm :)
7 months, 1 week ago (2017-05-12 10:21:20 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2847073002/1
7 months ago (2017-05-19 06:37:32 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431578)
7 months ago (2017-05-19 07:47:33 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2847073002/1
6 months, 3 weeks ago (2017-05-22 05:48:33 UTC) #13
commit-bot: I haz the power
6 months, 3 weeks ago (2017-05-22 07:36:47 UTC) #16
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/00bd27b320be81e0cb51d5c9a017...

Powered by Google App Engine
This is Rietveld 0eb02b776